import 'package:core_localization/core_localization.dart';
import 'package:design_system/design_system.dart';
import 'package:flutter/material.dart';

/// Button to export all invoices.
class ExportInvoicesButton extends StatelessWidget {
  /// Creates an [ExportInvoicesButton].
  const ExportInvoicesButton({super.key});

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: double.infinity,
      child: UiButton.secondary(
        text: t.client_billing.export_button,
        onPressed: () {},
        leadingIcon: UiIcons.download,
        size: UiButtonSize.large,
      ),
    );
  }
}
